gnome-shell (3.22.0-2) unstable; urgency=medium

  * Bump libgtk-3-dev build-dependency to >= 3.21.6 (Closes: #838885)
    (libgtk-3-0.symbols has Build-Depends-Package meta-header so this
     should ensure we get a dependency >= 3.21.6)
    Thanks to Michael Biebl for the analysis.

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 09 Oct 2016 11:04:02 +0200

gnome-shell (3.22.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump mutter dependencies to >= 3.22.0 as per configure.ac.

 -- Michael Biebl <biebl@debian.org>  Tue, 20 Sep 2016 01:54:15 +0200

gnome-shell (3.21.92-1) unstable; urgency=medium

  [ Andreas Henriksson ]
  * Bump gnome-tweak-tool Breaks to << 3.21.91 for the
    org.gnome.shell.calendar -> org.gnome.desktop.calendar schema key move.
  * Move gnome-tweak-tool and gnome-calendar Breaks to gnome-shell-common
    which is the package containing the schemas.

  [ Michael Biebl ]
  * New upstream development release.
  * Bump mutter dependencies to >= 3.21.92 as per configure.ac.
  * Bump debhelper compat level to 10.
  * Add explicit Build-Depends on gettext, pkg-config and autoconf-archive
    which are required for autoreconf.
  * Add Depends on libglib2.0-bin for gapplication. (Closes: #835221)
  * Install gnome-shell.portal from /usr/share/xdg-desktop-portal/portals
    which is required to provide the org.freedesktop.impl.portal.access
    implementation.

 -- Michael Biebl <biebl@debian.org>  Tue, 13 Sep 2016 18:34:18 +0200

gnome-shell (3.21.91-2) unstable; urgency=medium

  * Add Breaks against gnome-calendar (<< 3.21.4) to ensure we have a recent
    enough version which no longer uses the org.gnome.shell.calendar GSettings
    schema. It was removed from gnome-shell in favour of the
    org.gnome.desktop.calendar schema provided by gsettings-desktop-schemas.

 -- Michael Biebl <biebl@debian.org>  Thu, 01 Sep 2016 02:27:10 +0200

gnome-shell (3.21.91-1) unstable; urgency=low

  * New upstream beta release.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 30 Aug 2016 19:41:00 +0200

gnome-shell (3.21.90.1-1) experimental; urgency=medium

  * New upstream beta release.

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 21 Aug 2016 05:36:58 +0200

gnome-shell (3.21.90-1) experimental; urgency=medium

  * New upstream beta release.
  * Update build-dependencies according to configure.ac changes:
    - drop intltool (>= 0.26)
    - bump *mutter* to >= 3.21.90
  * Drop d/p/git_calendar-server_add_back_missing_return_value.patch
    - now included in upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 20 Aug 2016 17:47:56 +0200

gnome-shell (3.21.4-1) experimental; urgency=medium

  * New upstream release.
  * Update build-dependencies according to configure.ac changes:
    - bump gobject-introspection to >= 1.49.1
    - bump *mutter* to >= 3.21.4
    - drop libclutter-1.0-dev (>= 1.22), clutter fork now shipped in mutter.
    - drop gir1.2-clutter-1.0 (>= 1.22), forked typelib now in gir1.2-mutter.
    - bump gsettings-desktop-schemas* to >= 3.21.3
  * Add debian/patches/git_calendar-server_add_back_missing_return_value.patch
    - from upstream git master.
  * Drop 0001-background-free-MetaBackground-explicitly.patch
    - originally from upstream git, now shipped in upstream release.
  * Refresh debian/patches/41-handle-logind-fail.patch to apply cleanly.
  * Add build-dependency on mesa-common-dev for GL/gl.h used by shell-util.c
  * override dh_shlibdeps adding the directory where to find mutters private
    clutter fork.
  * Add lintian-overrides for gnome-shell RPATHs to avoid rejected upload.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 15 Aug 2016 11:20:37 +0200

gnome-shell (3.20.3-1) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/control.in: Drop gir1.2-gkbd-3.0 dependency, not needed anymore

  [ Michael Biebl ]
  * New upstream release.
  * Refresh patches.
  * Update dh_girepository to look for the mutter typelib file in multiarch
    paths. Bump mutter dependencies accordingly.
  * Convert from cdbs to dh.

  [ Jeremy Bicha ]
  * 0001-background-free-MetaBackground-explicitly.patch:
    Patch from gnome-3-20 branch to fix memory leak when changing background
  * Update apport hook to recognize gdm3 and to not try to attach
    obsolete log files
  * Update Ubuntu's dependency on gnome-icon-theme-full to
    adwaita-icon-theme-full

 -- Michael Biebl <biebl@debian.org>  Fri, 01 Jul 2016 11:14:31 +0200

gnome-shell (3.20.2-3) unstable; urgency=medium

  * debian/control.in: Make gnome-shell provide polkit-1-auth-agent

 -- Laurent Bigonville <bigon@debian.org>  Sun, 05 Jun 2016 13:20:34 +0200

gnome-shell (3.20.2-2) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/control.in: Drop gnome-icon-theme-symbolic from the dependencies,
    do not force an icon theme and rely on the one installed by the
    metapackages
  * debian/control.in: Bump debhelper dependency to support --dbgsym-migration
    option

  [ Jeremy Bicha ]
  * debian/rules: Add --dbgsym-migration rule (LP: #1588806)
  * d/p/0001-st-Init-framebuffer-early-to-fix-gnome-shell-crash-o.patch:
    git patch to fix crash with NVIDIA drivers (Closes: #823785)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 04 Jun 2016 23:04:03 +0200

gnome-shell (3.20.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop Build-Depends on libdbus-glib-1-dev, no longer required.
  * Fix versioned Build-Depends on gnome-control-center-dev which requires an
    epoch.
  * Bump Standards-Version to 3.9.8.
  * Drop debian/gnome-shell.lintian-overrides, no longer needed. With recent
    versions binaries are allowed to use "/usr/lib/$srcpkg/" in RPATHs.
  * Bump mutter dependencies to >= 3.20.2 as per configure.ac.

 -- Michael Biebl <biebl@debian.org>  Wed, 11 May 2016 15:09:18 +0200

gnome-shell (3.20.1-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Sun, 17 Apr 2016 00:19:35 +0200

gnome-shell (3.20.0-1) experimental; urgency=medium

  * Add gnome-session (<< 3.19) to Breaks
    - gnome-shell.desktop was renamed which breaks old gnome.session
  * Bump Breaks on gdm to << 3.19.92
    - new interaction between gdm and gnome-shell for session start
  * New upstream release.
  * Bump *mutter* (build-)dependencies to >= 3.20.0
    - according to configure.ac changes.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 25 Mar 2016 10:04:15 +0100

gnome-shell (3.19.92-2) experimental; urgency=medium

  * Bump libmutter-dev build-dependency to ensure libmutter0h migration.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 18 Mar 2016 19:20:50 +0100

gnome-shell (3.19.92-1) experimental; urgency=medium

  [ Laurent Bigonville ]
  * debian/gnome-shell.gsettings-override: Use firefox-esr.desktop shortcut
    instead of iceweasel.desktop
  * debian/gnome-shell.gsettings-override: Add gnome-software to the default
    shortcuts

  [ Andreas Henriksson ]
  * New upstream release.
  * Bump (build-)dependencies according to configure.ac changes:
    - mutter -> 3.19.92
    - gsettings-desktop-schemas -> 3.19.2
  * 01-NetworkAgent-Fix-double-unref-in-get_secrets_keyring.patch:
    - dropped, merged upstream.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 17 Mar 2016 11:16:26 +0100

gnome-shell (3.18.4-2) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/gnome-shell.gsettings-override: Use firefox-esr.desktop shortcut
    instead of iceweasel.desktop
  * debian/gnome-shell.gsettings-override: Add gnome-software to the default
    shortcuts

  [ Michael Biebl ]
  * debian/patches/50-renamed-app-favorites.patch: Add gnome-terminal to the
    rename list. Patch cherry-picked from upstream Git.

 -- Michael Biebl <biebl@debian.org>  Sun, 03 Apr 2016 15:04:30 +0200

gnome-shell (3.18.4-1) unstable; urgency=medium

  * New upstream release.
  * Drop gnome-shell-dbg package now that we have automatic dbgsym packages.
  * Bump Standards-Version to 3.9.7.

 -- Michael Biebl <biebl@debian.org>  Fri, 04 Mar 2016 09:17:35 +0100

gnome-shell (3.18.3-3) unstable; urgency=medium

  * Fix double-unref in get_secrets_keyring_cb(). This fixes a crash in
    NetworkAgent when trying to acquire secrets from gnome-keyring, like VPN
    passwords. Patch cherry-picked from upstream Git.

 -- Michael Biebl <biebl@debian.org>  Sun, 31 Jan 2016 16:03:28 +0100

gnome-shell (3.18.3-2) unstable; urgency=medium

  * Update the dependency on gir1.2-gdm3 to gir1.2-gdm-1.0 for the changes in
    gdm3 3.18.2-1.

 -- Michael Biebl <biebl@debian.org>  Thu, 19 Nov 2015 13:01:16 +0100

gnome-shell (3.18.3-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Wed, 18 Nov 2015 01:34:05 +0100

gnome-shell (3.18.2-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Fri, 13 Nov 2015 00:18:12 +0100

gnome-shell (3.18.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump dependency on mutter to (>= 3.18.1) as per configure.ac.
  * Bump dependency on evolution-data-server to (>= 3.17.2).

 -- Michael Biebl <biebl@debian.org>  Wed, 21 Oct 2015 19:07:41 +0200

gnome-shell (3.18.0-1) unstable; urgency=medium

  [ Andreas Henriksson ]
  * Fix typo in previous changelog entry.
  * gnome-shell: Recommend iio-sensor-proxy
    - nowadays js calls net.hadess.SensorProxy DBus interface.
  * New upstream release.

  [ Laurent Bigonville ]
  * Drop d/p/10_background_race.patch: Merged upstream

 -- Laurent Bigonville <bigon@debian.org>  Sun, 11 Oct 2015 16:02:22 +0200

gnome-shell (3.17.92-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Change gnome-themes-standard dependency to gnome-themes-standard-data
    recommendation, to avoid pulling in Gtk+ 2 library.

  [ Andreas Henriksson ]
  * New upstream release candidate.
  * Update build-dependencies according to configure.ac changes:
    - bump mutter >= 3.17.92
    - bump gobject-introspection >= 1.45.4

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 17 Sep 2015 13:58:10 +0200

gnome-shell (3.17.90-1) experimental; urgency=medium

  * New upstream beta release.
  * Update build-dependencies according to configure.ac changes:
    - bump libedataserver1.2-dev to >= 3.17.2
    - bump libglib2.0-dev to >= 2.45.3
    - bump libmutter-dev to >= 3.17.90
  * Drop patches now included in upstream release:
    - 50-ShellKeyringPrompt-Strip-out-mnemonics-indicators-fr.patch
    - 60-Update-configure.ac-to-check-for-libsystemd.patch
  * Bump dependency on gir1.2-glib-2.0 to >= 1.45.3
    - windowManager.js uses overrides.list_keys() introduced here.

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 29 Aug 2015 11:04:00 +0200

gnome-shell (3.16.3-2) unstable; urgency=medium

  * Update and re-enable debian/patches/10_background_race.patch to fix a race
    condition when loading two backgrounds made of different XML files.
    Closes: #789123

 -- Michael Biebl <biebl@debian.org>  Mon, 07 Sep 2015 06:42:55 +0200

gnome-shell (3.16.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper compatibility to 9.
  * Stop looking for private package libraries in /usr/lib/gnome-bluetooth,
    gnome-bluetooth dropped the private library in 3.12.

 -- Michael Biebl <biebl@debian.org>  Thu, 02 Jul 2015 19:44:53 +0200

gnome-shell (3.16.2-4) unstable; urgency=medium

  * Drop debian/patches/10-make-NetworkManager-optional.patch, merged
    upstream. Refresh remaining patches.
  * Strip out mnemonics indicators from labels. Currently GNOME Shell doesn't
    support mnemonics and prompters may send labels with it. Patch
    cherry-picked from upstream Git.
  * Add Provides: notification-daemon. GNOME Shell provides an implementation
    of org.freedesktop.Notifications which other applications make use of.
    This dependency is typically expressed by depending on the
    notification-daemon package.
  * Update Homepage: URL.
  * Drop obsolete Breaks/Replaces from pre-wheezy.
  * Build against libsystemd. Closes: #779743

 -- Michael Biebl <biebl@debian.org>  Mon, 15 Jun 2015 21:52:13 +0200

gnome-shell (3.16.2-3) unstable; urgency=medium

  * Upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 14 Jun 2015 13:44:20 +0200

gnome-shell (3.16.2-2) experimental; urgency=medium

  * debian/control.in: Bump gnome-settings-daemon to 3.16.0, this seems
    necessary for the media keys to work.

 -- Laurent Bigonville <bigon@debian.org>  Thu, 11 Jun 2015 15:00:29 +0200

gnome-shell (3.16.2-1) experimental; urgency=medium

  * New upstream release.
  * debian/control.in:
    + Update (build-)dependencies.
    + Let gnome-shell depend on gir1.2-gweather-3.0.
  * debian/patches/51-Delay-caribou-daemon-invocation.patch:
    + Dropped, included upstream.
  * debian/patches/10_background_race.patch:
    + Disabled for now, doesn't apply.
  * Upload to experimental.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 31 May 2015 00:06:10 +0200

gnome-shell (3.14.4-1) unstable; urgency=medium

  * New upstream translation and bugfix release.
    + Includes workaround for #768896 which is very annoying for users 
      of the proprietary nvidia driver.
  * 01_network_list.patch, 02_auth_prompt.patch, 
    50-compute-weeknumber-with-gdatetime.patch: dropped, merged 
    upstream.
  * Bump (build-)dependencies on mutter as usual.

 -- Josselin Mouette <joss@debian.org>  Thu, 26 Mar 2015 21:44:04 +0100

gnome-shell (3.14.2-3) unstable; urgency=medium

  * Add missing dependency on mutter. Closes: #764715.
  * 10_background_race.patch: fix a race condition when loading two 
    backgrounds made of different XML files.

 -- Josselin Mouette <joss@debian.org>  Fri, 12 Dec 2014 22:32:31 +0100

gnome-shell (3.14.2-2) unstable; urgency=medium

  * Add debian/patches/51-Delay-caribou-daemon-invocation.patch: Delay the
    invocation of the caribou daemon until it's really needed, this should
    workaround bugs like #769489.

 -- Laurent Bigonville <bigon@debian.org>  Tue, 09 Dec 2014 17:05:28 +0100

gnome-shell (3.14.2-1) unstable; urgency=medium

  * gnome-shell.gsettings-override: remove shotwell which is no longer 
    part of the default installation.
  * New upstream bugfix release.
    + Summarize notifications instead of queuing up.
  * Bump (build-)dependencies on mutter.
  * 01_network_list.patch: patch from upstream git. Fix an UI bug when 
    removing network connections.
  * 02_auth_prompt.patch: patch from upstream git. Fix the prompt with  
    disable_user_list after canceling an attempt. Closes: #683338.

 -- Josselin Mouette <joss@debian.org>  Sun, 30 Nov 2014 13:52:46 +0100

gnome-shell (3.14.1-2) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/gnome-shell.gsettings-override: nautilus.desktop has been renamed
    to org.gnome.Nautilus.desktop
  * debian/gnome-shell.gsettings-override: Replace epiphany by iceweasel, the
    gnome metapackage is depending against iceweasel and we want new users to
    have a webbrowser.

  [ Jordi Mallach ]
  * Add 50-compute-weeknumber-with-gdatetime.patch: Fix miscalculation of
    week number in the calendar (closes: #769118).

 -- Jordi Mallach <jordi@debian.org>  Wed, 26 Nov 2014 02:17:03 +0100

gnome-shell (3.14.1-1) unstable; urgency=medium

  * New upstream release.
    - This version contains a fix for CVE-2014-7300
    - Bump mutter dependencies to 3.14.1
    - Refresh debian/patches/27-nm-libexec-path.patch
  * debian/control.in: Bump Standards-Version to 3.9.6 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 18 Oct 2014 02:26:00 +0200

gnome-shell (3.14.0-1) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Bump libgtk-3-dev and libmutter-dev build-dependencies according to
    configure.ac.

  [ Andreas Henriksson ]
  * New upstream release.
  * Bump mutter build-dependency to >= 3.14.0
  * Bump gir1.2-mutter-3.0 dependency to >= 3.14.0

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 22 Sep 2014 22:22:01 +0200

gnome-shell (3.13.92-1) unstable; urgency=medium

  * New upstream release candidate.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 19 Sep 2014 23:32:02 +0200

gnome-shell (3.13.91-3) unstable; urgency=medium

  * Release to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 19 Sep 2014 21:37:47 +0200

gnome-shell (3.13.91-2) experimental; urgency=medium

  * Bump gobject-introspection build-dependency to >= 1.41.3
    - this version understands the new nullable attribute.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 10 Sep 2014 23:11:19 +0200

gnome-shell (3.13.91-1) experimental; urgency=medium

  * New upstream development release.
  * Bump libmutter-dev build-dependency to >= 3.13.91
  * Bump gir1.2-mutter-1.0 dependency to >= 3.13.91
  * Drop backported patch from upstream:
    - debian/patches/42-atspi-on-demand.patch
  * gnome-shell: depend on gnome-backgrounds (>= 3.13.90)
    - now ships the default background instead of gnome-themes-standard

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 05 Sep 2014 14:54:53 -0700

gnome-shell (3.13.1-1) experimental; urgency=medium

  [ Emilio Pozuelo Monfort ]
  * debian/control.in:
    + Bump gir1.2-gnomebluetooth-1.0 dependency to 3.12, as
      gnome-bluetooth's API changed recently and gnome-shell
      uses the new API.

  [ Andreas Henriksson ]
  * New upstream development release.
  * Bump libmutter-1.0-dev (>= 3.13.1) according to configure.ac
  * Fix debian/patches/41-handle-logind-fail.patch to apply again.
    - ck support dropped upstream, see gnome-shell/commit/?id=a244c1e98

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 02 Aug 2014 17:05:48 +0200

gnome-shell (3.12.2-3) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 14 Jul 2014 23:36:21 +0200

gnome-shell (3.12.2-2) experimental; urgency=medium

  * Add debian/patches/42-atspi-on-demand.patch: Only call atspi.init if
    needed, this is working around a performance issue with GtkTreeView

 -- Laurent Bigonville <bigon@debian.org>  Sat, 28 Jun 2014 13:05:14 +0200

gnome-shell (3.12.2-1) experimental; urgency=medium

  [ Laurent Bigonville ]
  * New upstream release
  * debian/control.in:
    - Bump Standards-Version to 3.9.5 (no further changes)
    - Build-depends against systemd libraries on linux architectures only
  * debian/rules: Minimize run-time dependencies and speed up loading time of
    the shared libraries.

  [ Robert Millan ]
  * Remove kfreebsd-any and hurd-any from Architecture. (Closes:
    #733122, #735023)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 26 May 2014 01:00:16 +0200

gnome-shell (3.12.1-3) experimental; urgency=medium

  * debian/control.in: Bump gir1.2-gnomedesktop-3.0 to >= 3.12.0

 -- Laurent Bigonville <bigon@debian.org>  Sun, 27 Apr 2014 18:22:23 +0200

gnome-shell (3.12.1-2) experimental; urgency=medium

  * Bump mutter build-dependency

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 26 Apr 2014 19:43:34 +0200

gnome-shell (3.12.1-1) experimental; urgency=medium

  [ Laurent Bigonville ]
  * debian/control.in: Add dependency against gir1.2-gdesktopenums-3.0 (>=
    3.12) (Closes: #744030)

  [ Sjoerd Simons ]
  * Depend on new version of the upower gir
  * New upstream release
  * debian/patches/42-Specifically-ask-for-Telepathy-0.x.patch:
    + Dropped, fixed upstream
  * Bump libgnome-bluetooth-dev dependencies
  * debian/control.in: Bump mutter build-dependency

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 26 Apr 2014 18:40:57 +0200

gnome-shell (3.12.0-1) experimental; urgency=low

  [ Laurent Bigonville ]
  * Drop debian/patches/40_change-pam-name-to-match-gdm.patch and adjust
    Breaks against gdm3 package, pam modules in gdm3 package have been renamed
    back to upstream's names

  [ Andreas Henriksson ]
  * New upstream release.
  * Update build-dependencies according to configure.ac changes:
    - drop libgnome-menu-3-dev
    - bump gjs 1.39.0
    - bump clutter 1.15.90
    - bump mutter 3.11.91
  * debian/rules: add --enable-systemd when building on linux
  * Build-depend on libsystemd-journal-dev [linux-any] for the above.
  * Have quilt refresh patches.
  * Add build-dependency on libgnome-menu-3-dev
    - need GMenu-3.0.gir
  * Bump glib2.0 build-dependency to 2.39.90 
    - code uses new g_app_info_monitor*
  * Bump gsettings-desktop-schemas {build-,}dependency to 3.11
    - needs new key at runtime
  * Bump gir1.2-clutter-1.0 dependency to 1.17
    - needs Clutter.GestureTriggerEdge
  * Bump gir1.2-glib-1.0 dependency to 1.39.90-4~
    - needs Gio.DesktopAppInfo.search

  [ Simon McVittie ]
  * debian/patches/42-Specifically-ask-for-Telepathy-0.x.patch:
    + Don't attempt to use the parallel-installable Telepathy 1.0 when
      that gets uploaded, if it happens to be installed.

  [ Emilio Pozuelo Monfort ]
  * debian/control.in:
    + Bump gir1.2-mutter-3.0 dependency to >= 3.12.
  * debian/patches/41-handle-logind-fail.patch:
    + Gracefully handle logind not creating our session by falling back
      to ConsoleKit. This can happen when running on a kernel without
      cgroups support. Closes: #729877. Patch originally applied to
      3.8.4-5 but still relevant.

  [ Pedro Beja ]
  * Update package description (Closes: #689183)


 -- Andreas Henriksson <andreas@fatal.se>  Fri, 04 Apr 2014 21:38:35 +0200

gnome-shell (3.10.1-1) experimental; urgency=low

  [ Sjoerd Simons ]
  * New upstream release
  * debian/patches/11-no-gettext.patch
    + Removed, fixed upstream
  * debian/patches/git_relock_screen_after_crash.patch
    + Removed, fixed upstream
  * debian/patches/revert-suspend-break.patch
    + Removed, our systemd-logind is new enough these days
  * debian/patches/10-make-NetworkManager-optional.patch
    debian/patches/27-nm-libexec-path.patch
    debian/patches/40_change-pam-name-to-match-gdm.patch
    + Refreshed
  * debian/control.in: Sync b-depends and debians from Ubuntus gnome3-teams
    packaging
  * debian/patches/10-make-NetworkManager-optional.patch
    + Temporarily disabled as it breaks gnome-shell currently

  [ Laurent Bigonville ]
  * debian/control.in:
    - Demote gdm3 Depends to Recommends, if gdm is not installed gnome-shell
      will not be able to lock the screen (Closes: #727558)
    - Add Depends against gir1.2-gdm3

  [ Sjoerd Simons ]
  * debian/gnome-shell-common.dirs: Create an empty
    /usr/share/gnome-shell/modes to work around bgo#709313

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 01 Nov 2013 23:03:15 +0100

gnome-shell (3.8.4-4) unstable; urgency=low

  [ Petr Salinger ]
  * Restrict dependency on gir1.2-nmgtk-1.0 to linux-any (Closes: #726099)

  [ Emilio Pozuelo Monfort ]
  * Upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 13 Oct 2013 17:47:35 +0200

gnome-shell (3.8.4-3) experimental; urgency=low

  * debian/rules:
    + Explicitly enable NetworkManager support on linux. Closes: #725760.
  * debian/patches/10-make-NetworkManager-optional.patch:
    + Drop gnome-keyring-1 check, leftover from the 3.4 patch.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 08 Oct 2013 17:53:24 +0200

gnome-shell (3.8.4-2) experimental; urgency=low

  * debian/patches/10-make-NetworkManager-optional.patch:
    + Updated from gentoo package for the new version, apply the patch
      again to fix the build on !linux. Closes: #692049.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 06 Oct 2013 11:38:30 +0200

gnome-shell (3.8.4-1) experimental; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/control.in:
    + Add gkbd-capplet back to gnome-shell's recommends. It was dropped
      in 3.7.92-1 but the shell's keyboard layout switcher uses it to
      display the layout in a window.

  [ Jeremy Bicha ]
  * debian/patches/git_relock_screen_after_crash.patch:
    + Backport fix to ensure session is locked after crash
  * debian/control.in:
    - Update homepage
    - Drop obsolete gconf dependency

  [ Emilio Pozuelo Monfort ]
  * New upstream release.

  [ Laurent Bigonville ]
  * debian/control.in: Bump gir1.2-ibus-1.0 dependency to 1.5.2, this is
    needed for the new ibus_bus_new_async() API.
  * debian/control.in: Bump Standards-Version to 3.9.4 (no further changes)
  * debian/gnome-shell.lintian-overrides: Adjust override

 -- Laurent Bigonville <bigon@debian.org>  Sat, 24 Aug 2013 14:52:18 +0200

gnome-shell (3.8.3-1) experimental; urgency=low

  [ Jeremy Bicha ]
  * debian/control.in:
    - Don't recommend gnome-session-fallback

  [ Emilio Pozuelo Monfort ]
  * debian/control.in:
    + Bump minimum gir1.2-gtk-3.0 dependency.
      Thanks to Frederik Himpe <fhimpe@telenet.be>.
  * New upstream release.
  * debian/control.in:
    + Bump build dependencies.
  * debian/patches/series:
    + Disable 30-remoteMenu-Prevent-the-shell-from-becoming-unrespons.patch,
      it conflicts with changes in the new version and may not be necessary
      anymore.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 08 Jun 2013 19:05:08 +0200

gnome-shell (3.8.2-1) experimental; urgency=low

  * New upstream release.
    + debian/control.in:
      - Update mutter dependencies.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 24 May 2013 17:34:32 +0200

gnome-shell (3.8.1-2) experimental; urgency=low

  * Team upload
  * Reinstate support for suspend via UPower using the user-menu, until
    our logind is new enough to take over (Closes: #704272)
  * Delay suspend for 1 second in the hope that that's long enough to lock
    the screen (works around #645716, but only if you suspend via the
    user-menu)

 -- Simon McVittie <smcv@debian.org>  Mon, 22 Apr 2013 11:17:11 +0100

gnome-shell (3.8.1-1) experimental; urgency=low

  * New upstream release
  * debian/control.in: Update mutter depends to 3.8.1

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 19 Apr 2013 23:45:29 +0200

gnome-shell (3.8.0.1-2) experimental; urgency=low

  * debian/control.in: Add gir1.2-telepathylogger-0.2 runtime depend

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 31 Mar 2013 22:36:06 +0200

gnome-shell (3.8.0.1-1) experimental; urgency=low

  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 27 Mar 2013 19:12:49 +0100

gnome-shell (3.8.0-1) experimental; urgency=low

  [ Sjoerd Simons ]
  * debian/control.in: Bump caribou run-time depend to >= 0.4.8

  [ Emilio Pozuelo Monfort ]
  * New upstream release.
    + debian/control.in:
      - Bump mutter build and binary dependencies.
      - Remove build dependency on network-manager-dev now that
        libnm-glib-dev has been fixed.
      - Restrict libnm-gtk-dev build dependency to linux-any.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 27 Mar 2013 00:28:32 +0100

gnome-shell (3.7.92-1) experimental; urgency=low

  [ Sjoerd Simons ]
  * Sync from Ubuntu
  * d/p/ubuntu-lightdm-user-switching.patch:
    d/p/ubuntu_lock_on_suspend.patch:
    + Dropped, Ubuntu specifc
  * d/p/14_make-GLX-optional.patch: Fixed upstream
  * debian/control.in: Depend on e-d-s >= 3.7.90 to fix build failures due to
    deprecated structures in headers.
  * debian/patches/40_change-pam-name-to-match-gdm.patch
    + Added. Change the pam service name to match the one used by gdm in debian

  [ Emilio Pozuelo Monfort ]
  * New upstream release.
    + debian/control.in:
      - Update build dependencies.
      - Temporarily add an explicit build-depend on network-manager-dev
        until libnm-glib-dev gets a versioned dependency.
    + debian/patches/git_fix_too_short_apps_view.patch:
      - Removed, included upstream.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 20 Mar 2013 22:40:26 +0100

gnome-shell (3.7.90-0ubuntu1~raring1) raring; urgency=medium

  [ Jeremy Bicha ]
  * New upstream alpha release
  * debian/control.in:
    - Drop obsolete libedataserverui-dev dependency
    - Depend on gir1.2-nmgtk-1.0
    - Build-depend on caribou and gnome-desktop3
  * debian/watch: Watch for unstable releases
  * ubuntu-lightdm-user-switching.patch: Refreshed
  * ubuntu_lock_on_suspend.patch: Disabled
  * revert-suspend-break.patch:
    - Sure, suspend is currently broken on Ubuntu with GNOME 3.8, but let's
      not break it worse than necessary
  * git_fix_too_short_apps_view.patch:
    - Fix missing text on bottom row of apps view in the overview

  [ Rico Tzschichholz ]
  * debian/control.in:
    - Bump minimum dependencies on gnome-desktop3, libcroco, libpulse,
      clutter, gsettings-desktop-schemas, gjs and mutter
    - Build-depend on libcanberra-gtk3-dev
    - Drop build-depends on gconf and libgnome-desktop3-dev
  * debian/rules:
    - Add src/gvc to gir list
  * Drop patches applied in new version:
    - git-set-ally-wm-theme.patch
    - git_messagetray_opacity_fix.patch
    - git_messagetray_remove_tweens.patch
    - git_messagetray_fix_expansion.patch
    - telepathyClient-Fix-auto-scroll-to-bottom.patch
    - ubuntu_screensaver_fallback.patch
  * 10-make-NetworkManager-optional.patch:
    - Dropped, this was Debian-specific and they intend to drop it too
  * Refreshed patches:
    - 14_make-GLX-optional.patch
    - ubuntu_lock_on_suspend.patch
  * ubuntu-lightdm-user-switching.patch: Disabled as it breaks the user menu

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 23 Feb 2013 17:43:44 -0500

gnome-shell (3.6.2-0ubuntu4) raring; urgency=low

  * Upstream bugfix for disappearing notifications (LP: #1088759)
    debian/patches/git_messagetray_fix_expansion.patch

 -- Tim Lunn <tim@feathertop.org>  Mon, 17 Dec 2012 07:55:47 +1100

gnome-shell (3.6.2-0ubuntu3) raring; urgency=low

  * Upstream bugfix for disappearing message tray (LP: #1067265)
      debian/patches/git_messagetray_remove_tweens.patch
      debian/patches/git_messagetray_opacity_fix.patch

 -- Tim Lunn <tim@feathertop.org>  Tue, 27 Nov 2012 08:27:57 +1100

gnome-shell (3.6.2-0ubuntu2) raring; urgency=low

  * debian/control.in:
    - Don't recommend gnome-session-fallback; gnome-shell doesn't need
      fallback mode now that we're using llvmpipe
  * debian/git-set-ally-wm-theme.patch:
    - Git patch to set/reset HighContrast window theme too

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 25 Nov 2012 12:51:35 -0500

gnome-shell (3.6.2-0ubuntu1) raring; urgency=low

  * New upstream release. (LP: #1078155)
    - Fixes disable-user-list option (LP: #1072838)
  * debian/control.in
    - Bump minimum mutter
    - Build-depend on gtk-doc-tools to generate updated man page
  * debian/patches/telepathyClient-Fix-auto-scroll-to-bottom.patch
    - Dropped, applied in new version
  * debian/patches/ubuntu_screensaver_fallback.patch:
    - Dropped, applied in new version
  * debian/patches/ubuntu_lock_on_suspend.patch
    - Refreshed

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 12 Nov 2012 23:11:33 -0500

gnome-shell (3.6.1-3ubuntu2) raring; urgency=low

  * Rebuild against new mutter

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 08 Nov 2012 10:47:35 -0500

gnome-shell (3.6.1-3ubuntu1) raring; urgency=low

  [ Jeremy Bicha ]
  * Merge with Debian (LP: #1044408). Remaining changes:
  * debian/control.in:
    - Depend on gdm instead of gdm3
    - Don't depend on ibus 1.4.99 yet as it's not in Ubuntu yet
  * debian/source_gnome-shell.py:
    - Include session logs and report which display manager is running
  * 29-Cope-with-clutter-being-built-with-both-new-and-old-.patch:
    - Dropped, not needed in Ubuntu
  * debian/patches/ubuntu-lightdm-user-switching.patch:
    - Fix user switching when running lightdm (LP: #1064269)
  * debian/patches/ubuntu_lock_on_suspend.patch
    - fix lock on suspend via user menu
  * debian/patches/ubuntu_screensaver_fallback.patch:
    - Explicitly start gnome-screensaver when screenshield loads
      in fallback mode.

  [ Simon McVittie ]
  * Increase libsoup dependency to 2.40, needed when installing extensions
    from extensions.gnome.org
  * Recommend unzip, also for extensions.gnome.org (Closes: #680978)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 08 Nov 2012 09:21:38 -0500

gnome-shell (3.6.1-3) experimental; urgency=low

  * debian/rules: Depends on 3.6 versions of gir1.2-gnomebluetooth-1.0 and
    gir1.2-gnomedesktop-3.0 
  * debian/rules: Add dependency on evolution-data-server (Closes: #690554)
  * debian/rules: Depend on gir1.2-telepathylogger-0.2 >= 0.4.0-2 to get the
    annotation updates needed by gnome-shell
  * debian/rules: gir1.2-ibus-1.0 (> 1.4.99) needed for
    the ibus related functionality
  * debian/patches/telepathyClient-Fix-auto-scroll-to-bottom.patch:
    + Added. Fix auto-scroll down in the builtin telepathy message view (bgo:
      #686571)

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 21 Oct 2012 14:50:16 +0200

gnome-shell (3.6.1-2) experimental; urgency=low

  * d/p/30-remoteMenu-Prevent-the-shell-from-becoming-unrespons.patch:
    - Added, prevent gnome-shell from become unresponsive (bgo: #686502)

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 20 Oct 2012 01:17:07 +0200

gnome-shell (3.6.1-1) experimental; urgency=low

  * New upstream release
  * d/p/28-ShellUserVerifier-fix-typo-in-function-name-caught-o.patch:
    - Removed, fixed upstream

 -- Sjoerd Simons <sjoerd@debian.org>  Wed, 17 Oct 2012 21:01:15 +0200

gnome-shell (3.6.0-1) experimental; urgency=low

  * New upstream release
  * d/p/28-ShellUserVerifier-fix-typo-in-function-name-caught-o.patch:
    - Added. Fix typo in function name called from auth error (From upstream
      git)
  * d/p/29-Cope-with-clutter-being-built-with-both-new-and-old-.patch:
    - Added. The ClutterColor g-i API changes depending on which version of
      gobject-introspection clutter is built with. Deal with both variants
  * d/p/01_slist_cleanup.patch
    d/p/02_filter_nodisplay_parents.patch
    d/p/03_don-t-show-apps-in-NoDisplay-categories.patch
    d/p/04_fix_nodisplay.patch
    d/p/25-close-the-recorder-instead-of-pausing-it.patch
    d/p/26-networkAgent-use-absolute-path-if-configured.patch
    d/p/32-enable-the-screen-reader-menu-item.patch
    d/p/33-screen-reader-l10n.patch
    - Dropped, all fixed upstream
  * d/p/14_make-GLX-optional.patch: Refreshed
  * d/p/27-nm-libexec-path.patch: Refreshed
  * d/p/10-make-NetworkManager-optional.patch: Temporarily disabled
  * debian/gnome-shell.gsettings-override: Use epiphany instead of iceweasel
    again
  * debian/control.in: Conflict with gnome-screensaver (<< 3.6) as
    both try to provide the screensaver in the full gnome session
  * Sync with Ubuntu:
    + debian/control.in: Update build-depends
    + debian/source_gnome-shell.py: Add apport hook

 -- Sjoerd Simons <sjoerd@debian.org>  Mon, 15 Oct 2012 09:34:33 +0200

gnome-shell (3.4.2-2) unstable; urgency=low

  * Replace epiphany by iceweasel. Closes: #682481.
  * Drop obsolete README.Debian. Closes: #684584.

 -- Josselin Mouette <joss@debian.org>  Sat, 29 Sep 2012 10:20:25 +0200

gnome-shell (3.4.2-1) unstable; urgency=low

  [ Laurent Bigonville ]
  * New upstream release.
    - Drop patches 24-mirror-evolution-calendar-settings.patch and
      26-fix-empathy-popup-regression.patch, applied upstream.
  * Add d/p/26-networkAgent-use-absolute-path-if-configured.patch: Fix issue
    finding VPN authentication binary, taken from upstream (Closes: #681737)
  * d/p/27-nm-libexec-path.patch: Use Debian specific NM VPN helpers paths

  [ Josselin Mouette ]
  * Change epiphany desktop file name to match the change in the 
    epiphany package.

  [ Jordi Mallach ]
  * debian/patches:
    - 32-enable-the-screen-reader-menu-item.patch: Add Orca to the a11y
      menu, to improve accessibility of the Shell-based GDM greeter.
    - 33-screen-reader-l10n.patch: Steal translations for new string
      "Screen Reader" from GNOME Control Center.

 -- Laurent Bigonville <bigon@debian.org>  Sat, 04 Aug 2012 13:18:50 +0200

gnome-shell (3.4.1-8) unstable; urgency=low

  * 27-don-t-show-apps-in-NoDisplay-categories.patch: renamed as 
    03_don-t-show-apps-in-NoDisplay-categories.patch for reordering.
  * 01_slist_cleanup.patch, 02_filter_nodisplay_parents.patch, 
    04_fix_nodisplay.patch: correctly filter out applications in a 
    NoDisplay directory, including parent directories. This should 
    finally fix for good handling of the Debian menu, including in 
    searches.  Closes: #677498.
  * Bump the build-dependency on gnome-menus accordingly.

 -- Josselin Mouette <joss@debian.org>  Sat, 23 Jun 2012 20:49:32 +0200

gnome-shell (3.4.1-7) unstable; urgency=low

  * debian/patches/21_revert_evolution_gsettings.patch: Drop this patch now
    that we have evolution 3.4.
  * debian/patches/24-mirror-evolution-calendar-settings.patch: Mirror
    Evolution calendar settings into our own schema to avoid a hard dependency
    on evolution for the gsettings schema file. Patch cherry-picked from
    upstream Git.

 -- Michael Biebl <biebl@debian.org>  Wed, 20 Jun 2012 06:31:49 +0200

gnome-shell (3.4.1-6) unstable; urgency=low

  [ Laurent Bigonville ]
  * d/p/26-fix-empathy-popup-regression.patch: Fix Empathy popup regression
    (taken from upstream)

  [ Michael Biebl ]
  * debian/patches/09-respect-NoDisplay-semantics-for-app-menu.patch: Drop
    this patch as it breaks application tracking for all applications marked
    as NoDisplay. Closes: #676425
  * debian/patches/27-don-t-show-apps-in-NoDisplay-categories.patch:
    Explicitly include NoDisplay applications in the ShellAppSystem because we
    want application tracking for them, but filter NoDisplay applications out
    when showing them to the user because we don't want to show them to the
    user. Patch backported from upstream Git.

 -- Michael Biebl <biebl@debian.org>  Tue, 12 Jun 2012 17:09:34 +0200

gnome-shell (3.4.1-5) unstable; urgency=low

  * Disabling the screen recorder on arm{el,hf} was not sufficient to make it
    build everywhere since the screen grabber is also used for making
    screenshots. Update debian/patches/14_make-GLX-optional.patch instead and
    only use pixel buffers in the screen grabber if we have GL/GLX support.
    This means we can re-enable the screen recorder on arm{el,hf} as it will
    use the slow, cogl-based path there.

 -- Michael Biebl <biebl@debian.org>  Wed, 30 May 2012 20:56:52 +0200

gnome-shell (3.4.1-4) unstable; urgency=low

  * debian/patches/14_make-GLX-optional.patch:
    - Add DEP-3 patch header.
    - Remove unconditional pkg-config check for the "gl" module.

 -- Michael Biebl <biebl@debian.org>  Wed, 30 May 2012 14:37:44 +0200

gnome-shell (3.4.1-3) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Wed, 30 May 2012 13:19:38 +0200

gnome-shell (3.4.1-2) experimental; urgency=low

  * debian/patches/22-remove-online-accounts-from-user-menu.patch: Remove
    "Online Accounts" from user menu. It can be easily accessed via
    "System Settings" so there is no need to clutter up the user menu.
  * Tighten Depends on gir1.2-clutter-1.0. Closes: #673929
  * Change Recommends: gnome-themes-standard to Depends. Adwaita is the
    prefererred window manager theme and without a theme installed gnome-shell
    refuses to start. Closes: #590340
  * Bump Depends on gnome-settings-daemon to (>= 3.4.0). There was an
    incompatible change in the Power D-Bus API which caused the power icon to
    no longer update properly. Closes: #674429
  * Don't build the screen recorder on arm{el,hf} as the screen grabber uses
    GL/GLX and on those archs cogl uses GLES.
  * debian/patches/25-close-the-recorder-instead-of-pausing-it.patch: Close
    the screen recorder instead of pausing. Otherwise we continue to write to
    the same output file. Patch cherry-picked from upstream Git.

 -- Michael Biebl <biebl@debian.org>  Wed, 30 May 2012 12:17:13 +0200

gnome-shell (3.4.1-1) experimental; urgency=low

  [ Jeremy Bicha ]
  * New upstream release.
  * debian/control.in: 
    - Add debug package
    - Update dependencies
    - Recommend gnome-user-guide
    - Break gnome-tweak-tool (<< 3.3)
    - Bump Standards-Version to 3.9.3
  * debian/gnome-shell-common.install:
    - No more gconf schemas to install
    - Install gtk-docs
  * Drop patches that have been applied upstream.

  [ Sjoerd Simons ]
  * debian/control.in: Add build-depends on libgcr-3-dev (>= 3.3.90)
  * debian/control.in: Drop dependency on gir1.2-gjs-1.0 as it has been folded
    into libgjs
  * debian/control.in: Add depends on gir1.2-gcr-3

  [ Michael Biebl ]
  * debian/patches/10-make-NetworkManager-optional.patch: Updated.
  * debian/gnome-shell-common.install: Install GConf conversion script.
  * debian/patches/21_revert_evolution_gsettings.patch: Revert the switch to
    gsettings in the calendar server for now as long as evolution 3.4 is not
    ready yet.

 -- Michael Biebl <biebl@debian.org>  Sun, 20 May 2012 00:16:54 +0200

gnome-shell (3.2.2.1-4) unstable; urgency=low

  * Fold 04_remove-glx-dependency-on-armel.patch and
    14_require_gl_directly.patch into a new patch named
    14_make-GLX-optional.patch. Use pkg-config to check if gl.pc is available
    and build the GLX/GL bits conditionally. This fixes a build failure on
    arm{el,hf} where clutter/cogl uses GLES. Closes: #670850

 -- Michael Biebl <biebl@debian.org>  Mon, 30 Apr 2012 20:37:44 +0200

gnome-shell (3.2.2.1-3) unstable; urgency=low

  * d/p/14_require_gl_directly.patch
    + Added. gnome-shell uses glXQuery* API so it needs a direct link against
      libGL. Causes build failure with upcoming clutter/cogl as they don't
      expose a directly link to libGL anymore

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 01 Apr 2012 16:07:26 +0200

gnome-shell (3.2.2.1-2) unstable; urgency=low

  * debian/patches/12_Replace-shell_util_icon_from_string.patch
    + Added. Remove the neglected user of the removed
      Shell.util_icon_from_string function. This caused subscription request
      to not pop up (From upstream git)
  * debian/patches/13_bluetooth_fix_undefined_variable.patch
    + Added. Fixes bluetooth device status slider so it reflects reality again
    (From upstream git)

 -- Sjoerd Simons <sjoerd@debian.org>  Tue, 28 Feb 2012 11:30:47 +0100

gnome-shell (3.2.2.1-1) unstable; urgency=low

  [ Michael Biebl ]
  * debian/patches/10-make-NetworkManager-optional.patch: make NM
    optional, to fix build on kFreeBSD architectures. Closes: #652482
  * debian/patches/11-no-gettext.patch: remove gettext macros, otherwise
    autoreconf fails due to incompatibilities with intltool.

  [ Jordi Mallach ]
  * Enable dh_autoreconf.
  * Update Vcs-* URLs.

  [ Josselin Mouette ]
  * Update repository URL.

  [ Michael Biebl ]
  * New upstream release:
    - Fix a crash in gnome-shell-extension-tool. Closes: #649583
    - Remove 05-NetworkMenu-don-t-query-DBus-properties-of-removed-o.patch.
    - Remove 06-NetworkMenu-fix-regression-in-access-point-removed.patch.
    - Refresh 07-NetworkMenu-fix-logic-for-updating-wifi-icon.patch.
  * debian/control.in: Bump dependency on python to (>= 2.6) since we require
    JSON support. Closes: #580869

 -- Michael Biebl <biebl@debian.org>  Wed, 25 Jan 2012 11:06:41 +0100

gnome-shell (3.2.1-8) unstable; urgency=low

  [ Laurent Bigonville ]
  * debian/control.in: Add Depends on telepathy-mission-control-5
    (Closes: #651514)

  [ Michael Biebl ]
  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Sat, 17 Dec 2011 06:34:55 +0100

gnome-shell (3.2.1-7) experimental; urgency=low

  * Fix version in Breaks/Replaces. Closes: #650927

 -- Michael Biebl <biebl@debian.org>  Sun, 04 Dec 2011 21:19:25 +0100

gnome-shell (3.2.1-6) experimental; urgency=low

  [ Raphaël Hertzog ]
  * Add Breaks against gnome-tweak-tool (<< 3.2) to force its upgrade to a
    version that works with GNOME 3.2.

  [ Josselin Mouette ]
  * Split common files and translations in gnome-shell-common. Add 
    appropriate Breaks/Replaces.

  [ Michael Biebl ]
  * debian/watch:
    - Track stable releases.
  * debian/patches/09-respect-NoDisplay-semantics-for-app-menu.patch:
    - Respect NoDisplay semantics for applications menu. This avoids duplicate
      menu entries when menu-xdg is installed. Closes: #649559

 -- Michael Biebl <biebl@debian.org>  Sat, 03 Dec 2011 17:23:39 +0100

gnome-shell (3.2.1-5) experimental; urgency=low

  * debian/patches/06-polkit-Find-the-best-user-to-authenticate-as.patch:
    + Added. When picking a user to authenticate with, try the current user
      first, then root and if all else fails the first user that is allowed to
      authenticate. (from upstream git)

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 20 Nov 2011 22:28:42 +0000

gnome-shell (3.2.1-4) experimental; urgency=low

  * 05-NetworkMenu-don-t-query-DBus-properties-of-removed-o.patch:
    + Added. Don't (potentially) ask NM over D-Bus about an access point that
      was just removed. (From upstream git). As a side-effect this fixes
      gnome-shell freezing a while after unblacking.
  * 06-NetworkMenu-fix-regression-in-access-point-removed.patch
    + Added. Fix a regression in above patch (from upstream git)
  * 07-NetworkMenu-fix-logic-for-updating-wifi-icon.patch
    + Added. Fix the logic for connecting to the current wifi strength,
      prevents the network icon fro mbecoming stale (from upstream git)

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 19 Nov 2011 15:28:19 +0000

gnome-shell (3.2.1-3) experimental; urgency=low

  [ Josselin Mouette ]
  * Break fglrx-driver (<< 1:11-10). Closes: #648280.

  [ Sjoerd Simons ]
  * debian/control.in: Recommend gnome-contacts
  * debian/control.in: Update build-depends on the e-d-s libs to ensure we
    build against the same version as the libfolks e-d-s backend.

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 13 Nov 2011 16:40:12 +0100

gnome-shell (3.2.1-2) experimental; urgency=low

  * debian/control.in:
    - Tighten Depends on gir1.2-mutter-3.0 and gir1.2-glib-2.0.
      Closes: #646999
    - Drop Build-Depends on libgnome-menu-dev.

 -- Michael Biebl <biebl@debian.org>  Sat, 05 Nov 2011 21:35:14 +0100

gnome-shell (3.2.1-1) experimental; urgency=low

  [ Sjoerd Simons ]
  * New upstream release
  * debian/patches/00git-ShellRecorder-Use-cogl_read_pixels.patch:
    + Dropped, fixed upstream
  * debian/patches/03_hidden_applications.patch
    + Dropped, fixed upstream
  * debian/control.in: Add libfolks-dev build-depends
  * debian/control.in: Add depends on gir1.2-accountsservice-1.0 and
    gir1.2-caribou-1.0,

  [ Jeremy Bicha ]
  * debian/control.in:
    - Recommend gnome-session-fallback
    - Bump minimum gjs & gobject-introspection versions
    - Add gir1.2-soup-2.4 dependency

  [ Sjoerd Simons ]
  * debian/gnome-shell.lintian-overrides:
    + Updated (from Ubuntu). gnome-shell needs an rpath to find the private
      bluetooth lib

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 28 Oct 2011 22:20:04 +0200

gnome-shell (3.0.2-8) unstable; urgency=low

  * debian/patches/05_fix_glib_2.30_compat.patch:
    + Updated. Small mistake in the patch causes gnome-shell to fail to load
      the dim window shared, instead of which it just hangs. Fixed now..
      (Closes: 649459)

 -- Sjoerd Simons <sjoerd@debian.org>  Mon, 21 Nov 2011 15:19:48 +0000

gnome-shell (3.0.2-7) unstable; urgency=low

  * debian/patches/06-polkit-Find-the-best-user-to-authenticate-as.patch:
    + Added. When picking a user to authenticate with, try the current user
    first, then root and if all else fails the first user that is allowed to
    authenticate. (from upstream git)
  * debian/patches/07-Add-some-element-type-annotations-to-appease-g-i-mas.patch:
    + Added. Add annotation to prevent warnings from new g-i (from upstream
      git)

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 20 Nov 2011 22:04:39 +0000

gnome-shell (3.0.2-6) unstable; urgency=low

  * debian/patches/05_fix_glib_2.30_compat.patch:
    + Added. Fix compatibility with glib 2.30, which broke some things due to
      GI annotation changes. (From upstream git)

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 19 Nov 2011 15:04:45 +0000

gnome-shell (3.0.2-5) unstable; urgency=low

  [ Michael Biebl ]
  * debian/rules:
    - Make network-manager and gnome-bluetooth (build) dependencies linux-any.

  [ Rico Tzschichholz ]
  * Add 00git-ShellRecorder-Use-cogl_read_pixels.patch to fix FTBFS on arm

 -- Michael Biebl <biebl@debian.org>  Fri, 14 Oct 2011 17:22:55 +0200

gnome-shell (3.0.2-4) unstable; urgency=low

  [ Josselin Mouette ]
  * Break gnome-session < 3.

  [ Rico Tzschichholz ]
  * Add 04_remove-glx-dependency-on-armel.patch to fix FTBFS on arm

  [ Michael Biebl ]
  * Upload to unstable.
  * debian/watch: Switch to .xz tarballs.
  * debian/control.in:
    - Set pkg-gnome-maintainers@lists.alioth.debian.org as Maintainer.
    - Bump Standards-Version to 3.9.2. No further changes.

 -- Michael Biebl <biebl@debian.org>  Fri, 14 Oct 2011 12:56:37 +0200

gnome-shell (3.0.2-3) experimental; urgency=low

  * Re-add gnome-bluetooth dependency.

 -- Josselin Mouette <joss@debian.org>  Mon, 19 Sep 2011 18:53:24 +0200

gnome-shell (3.0.2-2) experimental; urgency=low

  [ Martin Pitt ]
  * debian/control.in, debian/rules: When building on Ubuntu, add a dependency
    to gnome-icon-theme-full.
  * debian/control.in: Change gir1.2-json-glib-1.0 build-dep to 
    gir1.2-json-1.0 to reflect the binary rename in json-glib 
    0.13.4-2. Thanks Micah Gersten!

  [ Laurent Bigonville ]
  * debian/control.in:
    - Drop dependency against libdconf0 and let dh_installgsettings set
      the right dependencies.
    - Make gnome-shell Recommends gnome-themes-standard (for Adwaita)
  * debian/compat: Bump debhelper compatibility to 8

  [ Josselin Mouette ]
  * 03_hidden_applications.patch: do not show NoDisplay=true submenus 
    and applications. This will avoid showing the Debian menu while 
    asked not to. Closes: #557997.
  * 01_favorite_apps.patch: dropped, replaced by override file.
  * Add libreoffice and yelp to favorite applications.
  * Drop useless build-dependency on libwnck.
  * Massive cleanup in build-dependencies.

 -- Josselin Mouette <joss@debian.org>  Mon, 19 Sep 2011 16:36:48 +0200

gnome-shell (3.0.2-1) experimental; urgency=low

  [ Rico Tzschichholz ]
  * New upstream release
  * debian/watch:
    - Look for bzip2 tarballs
  * debian/rules,debian/upstream.gitlog:
    - Drop upstream.gitlog which is outdated

  [ Josselin Mouette ]
  * Only recommend gnome-control-center.
  * Break gnome-control-center < 3. This time add the missing epoch.
    Closes: #628532.

  [ Sjoerd Simons ]
  * debian/rules: Fix misspelling of Recommends

 -- Sjoerd Simons <sjoerd@debian.org>  Tue, 31 May 2011 19:31:47 -0700

gnome-shell (3.0.1-1) experimental; urgency=low

  [ Laurent Bigonville ]
  * debian/control.in:
    - Bump priority to optional

  [ Sjoerd Simons ]
  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 14 May 2011 17:58:12 +0100

gnome-shell (3.0.0.2-1) experimental; urgency=low

  * Team upload.

  [ Frederic Peters ]
  * New upstream release (2.91.93).
  * debian/control.in:
    + added dependency on gnome-icon-theme-symbolic.
    + bumped gnome-shell dependency.
    + bumped gir1.2-freedesktop build-dep to 0.10.6, for a fix to
      cairo-1.0.typelib

  [ Raphaël Hertzog ]
  * New upstream release (3.0.0.2).
  * New patch 02_rpath-bluetooth-applet.patch by Rico Tzschichholz to
    add an RPATH so that the compilation doesn't fail when g-ir-scanner
    tries to analyze libgnome-shell.so linked against
    libgnome-bluetooth-applet.so.0 which is in a private directory.
  * Add a lintian override for the RPATH that we can't avoid.
  * Teach dpkg-shlibdeps how to find that private lib and add the
    corresponding dependency in debian/slibs.local.
  * Update and add a bunch of build-depends to match the latest configure
    requirements.
  * Add gir1.2-gnomebluetooth-1.0 and gir1.2-networkmanager-1.0 to Depends
    because they are needed to benefit from the improved UI associated to the
    respective status bar applet.

  [ Laurent Bigonville ]
  * debian/control.in: {Build-}Depends against gir1.2-mutter-3.0 instead of
    gir1.2-mutter-2.91

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 11 Apr 2011 21:03:31 +0000

gnome-shell (2.91.92-1) experimental; urgency=low

  * New upstream release.
  * debian/patches/, remove patches from upstream git:
    + 0001-altTab-fix-incorrect-positioning-with-multiple-monit.patch
    + 05_use_dbus_for_shutdown_and_logout.patch
  * debian/control.in:
    + add build-dep on libtelepathy-logger-dev and gir1.2-telepathylogger-0.2.
    + bump build-dep on libxfixes-dev, it needs the one from experimental, for
      pointer barriers.

 -- Frederic Peters <fpeters@debian.org>  Thu, 24 Mar 2011 19:28:12 +0100

gnome-shell (2.91.91-2) experimental; urgency=low

  * debian/patches/04_gnome_session_quit.patch: remove, replaced by:
  * debian/patches/05_use_dbus_for_shutdown_and_logout.patch: use Session
    D-Bus interface for shutdown and logout. (from git) (closes: #618870)

 -- Frederic Peters <fpeters@debian.org>  Sat, 19 Mar 2011 13:10:02 +0100

gnome-shell (2.91.91-1) experimental; urgency=low

  * New upstream release.

  [ Emilio Pozuelo Monfort ]
  * debian/control.in:
    + Depend on gsettings-desktop-schemas. Closes: #614945.
    + Depend on gir1.2-mutter-2.91. Closes: #615588.

  [ Frederic Peters ]
  * debian/control.in:
    + Don't depend on mutter, it now links against libmutter-wm0.
  * debian/patches/03_fix_dconf_service_location.patch: remove, no longer
    necessary now that gnome-shell is a real binary and doesn't try to arrange
    its own environment.
  * debian/patches/04_gnome_session_quit.patch: use gnome-session-save in
    fallback if gnome-session-quit doesn't work, so gnome-shell keeps working
    with older gnome-session versions.

  [ Emilio Pozuelo Monfort ]
  * d/p/0001-altTab-fix-incorrect-positioning-with-multiple-monit.patch:
    + Patch from upstream git, fix Alt+Tab with multiple monitors.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 16 Mar 2011 21:47:27 +0000

gnome-shell (2.91.90-1) experimental; urgency=low

  * New upstream release.
    + Build depend on libtelepathy-glib-dev for the updated Telepathy
      integration.
    + Build depend on libpolkit-agent-1-dev for the new authorization dialogs.
    + Build depend, and depend, on appropriate gir packages (polkit,
      telepathy, and upower).
    + Update build dep on libmutter-dev.
    + Update depends for new libgnomekbd gir package name.
    + Remove Recommends on xserver-xephyr.

 -- Frederic Peters <fpeters@debian.org>  Fri, 25 Feb 2011 12:23:23 +0100

gnome-shell (2.91.6-1) experimental; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/control.in:
    + Depend on gnome-control-center for My Account / System settings.

  [ Laurent Bigonville ]
  * New upstream release.
  * debian/control.in:
    - Bump build-dependencies
    - Add libecal1.2-dev, libedataserver1.2-dev and libedataserverui1.2-dev
      build-dependencies
    - Make mutter depends on libdconf0 | gsettings-backend instead of
      libdconf0 only

  [ Emilio Pozuelo Monfort ]
  * debian/control.in:
    + Update for the new gtk+ 3 package names.
    + Add missing dependency on gir1.2-gnomekbd-3.0.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 19 Feb 2011 16:45:48 +0000

gnome-shell (2.91.5-1) experimental; urgency=low

  * New upstream release.
    + debian/patches/02_fix_build_with_latest_gtk.patch:
      - Removed, fixed upstream.
    + debian/patches/01_favorite_apps.patch:
      - Refreshed.
    + debian/control.in:
      - Updated build dependencies.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 12 Jan 2011 23:41:41 +0000

gnome-shell (2.91.3-2) experimental; urgency=low

  * debian/control.in:
    - Build depend on libdconf0 for dconf-service. Closes: #595598.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 19 Dec 2010 16:36:11 +0000

gnome-shell (2.91.3-1) experimental; urgency=low

  [ Emilio Pozuelo Monfort ]
  * New upstream release (Closes: #605098, CVE-2010-4000).
    - debian/control.in:
      + Updated dependencies and build dependencies.
    - debian/patches/02_undo_gtk3_transition.diff:
      + Removed, let's use GTK+3 from now on.
    - debian/patches/03_fix_dconf_service_location.diff:
      + Updated.
  * debian/control.in,
    debian/rules:
    - Remove hack to get the typelibs scanned. Pass the private
      directory to dh_girepository instead. Update the minimum
      build dependency on gobject-introspection accordingly.
  * debian/control.in:
    - Build depend on gir1.2 packages.
    - Remove gir dependencies, they are autogenerated.

  [ Laurent Bigonville ]
  * debian/control.in: Add Vcs-* fields
  * debian/watch: Add watch file

  [ Emilio Pozuelo Monfort ]
  * debian/patches/02_fix_build_with_latest_gtk.patch:
    - Patch from upstream git, fix build with GTK+ 2.91.6.
  * debian/control.in:
    - Bump the libgtk3.0-dev accordingly.
  * debian/patches/*.diff:
    - Renamed to debian/patches/*.patch.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 19 Dec 2010 00:08:30 +0000

gnome-shell (2.31.5-2) experimental; urgency=low

  * debian/control:
  - depend and build-depend on gir1.0-glib-2.0 (>= 0.6.15~git20100713)
  - also depend on gjs, because the clock preferences uses gjs-console for
    some reason

 -- Gustavo Noronha Silva <kov@debian.org>  Wed, 28 Jul 2010 11:45:06 +0200

gnome-shell (2.31.5-1) experimental; urgency=low

  * New development release.
  - depend on mutter 2.31.5
  - refresh patches
  - fixes requirements on mutter (Closes: #586124)
  * debian/control.in:
  - Build-depend on glib >= 2.25.11-1 because we use glib-compile-schemas
  - Build-depend on gtk+ >= 2.21.1
  - Build-depend on gobject-introspection >= 0.6.15~git20100713-1 because
    we need newer glib bindings
  - Build-depend on gir1.0-json-glib-1.0 (Closes: #584660), thanks to
    Raphael Hertzog for pointing out the fix
  - gnome-shell depends on gir1.0-gconf-2.0 >= 2.31.5 to run
  * debian/patches/02_undo_gtk3_transition.diff:
  - undo gtk2->gtk3 migration since we do not yet have gtk+ 3 on Debian
  * debian/patches/03_fix_dconf_service_location.diff:
  - fix the path used to start dconf-service

 -- Gustavo Noronha Silva <gustavo.noronha@collabora.co.uk>  Tue, 13 Jul 2010 14:36:34 -0300

gnome-shell (2.31.2-1) experimental; urgency=low

  * New upstream release
  - depends on mutter 2.31
  - includes debian/patches/02_gjs_build_fix.patch, so removing
  * debian/rules:
  - depends on clutter-1.0 >= 1.2.8

 -- Gustavo Noronha Silva <gustavo.noronha@collabora.co.uk>  Mon, 31 May 2010 11:03:29 -0300

gnome-shell (2.29.0-3) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/patches/02_gjs_build_fix.patch:
    - Backport upstream commit to fix the build with recent gjs.
  * debian/source/format,
    debian/patches/series,
    debian/rules:
    - Convert to source format 3.0 (quilt).
  * debian/rules:
    - Include gnome-get-source.mk.

 -- Josselin Mouette <joss@debian.org>  Tue, 27 Apr 2010 22:32:21 +0200

gnome-shell (2.29.0-2) unstable; urgency=low

  * debian/control:
  - really fix #572718 by bumping the version in mutter's gir package name

 -- Gustavo Noronha Silva <kov@debian.org>  Mon, 15 Mar 2010 17:33:24 -0300

gnome-shell (2.29.0-1) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/rules:
    - Don't install *.la.

  [ Gustavo Noronha Silva ]
  * New upstream development release.
  - should work with the newer mutter (Closes: #572718)

 -- Gustavo Noronha Silva <kov@debian.org>  Tue, 09 Mar 2010 18:11:05 -0300

gnome-shell (2.28.1~git20100129-1) unstable; urgency=low

  * New upstream snapshot.

 -- Gustavo Noronha Silva <kov@debian.org>  Fri, 29 Jan 2010 12:44:58 -0200

gnome-shell (2.28.1~git20091125-1) unstable; urgency=low

  * New upstream snapshot

 -- Gustavo Noronha Silva <gustavo.noronha@collabora.co.uk>  Wed, 25 Nov 2009 19:06:40 -0200

gnome-shell (2.28.1~git20091117-1) unstable; urgency=low

  * New upstream snapshot
  * debian/patches/02_allow_non_uri_apps.diff:
  - dropped; applied upstream
  * debian/upstream.gitlog, debian/rules:
  - ship upstream's git log as upstream changelog (Closes: #556354)

 -- Gustavo Noronha Silva <gustavo.noronha@collabora.co.uk>  Thu, 12 Nov 2009 12:02:52 -0200

gnome-shell (2.28.1~git20091112-1) unstable; urgency=low

  * New upstream snapshot

 -- Gustavo Noronha Silva <gustavo.noronha@collabora.co.uk>  Mon, 12 Nov 2009 10:43:05 -0200

gnome-shell (2.28.1~git20091028-2) unstable; urgency=low

  * debian/patches/01_favorite_apps.diff:
  - change the default favorite browser desktop file to be Epiphany's
    (Closes: #553054)
  * debian/control.in:
  - gnome-shell's startup script wants to run glxinfo to get information
    regarding the server's GLX support; thanks to alex bodnaru
    <alexbodn@012.net.il> for noticing this is needed
    (Closes: #553440)
  * debian/patches/02_allow_non_uri_apps.diff:
  - patch by Guido Günther <agx@sigxcpu.org> to drop the requirement that
    associated apps support URIs, for local files at least
    (Closes: #553618)

 -- Gustavo Noronha Silva <gustavo.noronha@collabora.co.uk>  Mon, 09 Nov 2009 15:32:14 -0200

gnome-shell (2.28.1~git20091028-1) unstable; urgency=low

  * New upstream snapshot
  * debian/control:
  - bump Standards-Version to 3.8.3
  - python is a dependency, since the script that starts GNOME Shell
    is a python script
  - pkg-config is also a dependency (Closes: #552202)

 -- Gustavo Noronha Silva <gustavo.noronha@collabora.co.uk>  Wed, 28 Oct 2009 16:12:13 -0200

gnome-shell (2.28.1~git20091024-1) unstable; urgency=low

  * New upstream snapshot
  * debian/control.in:
  - ok, I agree, let's recommend Xephyr for now (Closes: #552141)

 -- Gustavo Noronha Silva <gustavo.noronha@collabora.co.uk>  Sat, 24 Oct 2009 13:22:02 -0200

gnome-shell (2.28.1~git20091020-1) unstable; urgency=low

  * Initial upload, based on the Ubuntu package (Closes: #550956)
  * debian/patches:
  - drop two unnecessary patches
  * debian/rules:
  - cleanup, and add Debian GNOME Team rules include
  * debian/control.in:
  - add Debian GNOME Team stuff
  - fix alignment
  - remove Recommends for xserver-xephyr
  - fix build-dependencies package names
  - build-depend on gnome-pkg-tools for uploaders

 -- Gustavo Noronha Silva <gustavo.noronha@collabora.co.uk>  Wed, 14 Oct 2009 11:31:23 -0300

gnome-shell (2.28.0-0ubuntu2) karmic; urgency=low

  * Add libcroco3-dev to Build-Depends.  Fixes FTBFS.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Tue, 13 Oct 2009 17:50:23 +1100

gnome-shell (2.28.0-0ubuntu1) karmic; urgency=low

  * New upstream version
  * debian/control:
    - updated build requirement
  * debian/patches/80_git_change_fix_alt_tab_ressource_usage.patch:
    - git change to fix ressources not being freed on alt-tab

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 12 Oct 2009 22:44:00 +0200

gnome-shell (2.27.3-0ubuntu1) karmic; urgency=low

  * New upstream version
  * debian/control:
    - depends on python since it's used in the wrapper 
      (lp: #413096)
    - updated gir requirement

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 30 Sep 2009 23:09:56 +0200

gnome-shell (2.27.2-0ubuntu1) karmic; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 08 Sep 2009 00:31:49 +0200

gnome-shell (2.27.1-0ubuntu1) karmic; urgency=low

  * New upstream version
  * debian/control:
    - updated build requirements

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 02 Sep 2009 10:44:03 +0200

gnome-shell (2.27.0-0ubuntu3) karmic; urgency=low

  * Requires gvfs-backends now

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 12 Aug 2009 01:46:57 +0200

gnome-shell (2.27.0-0ubuntu2) karmic; urgency=low

  * Require gobject-introspection-freedesktop too

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 12 Aug 2009 01:29:04 +0200

gnome-shell (2.27.0-0ubuntu1) karmic; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 11 Aug 2009 19:36:26 +0200

gnome-shell (0.0.1~git20090805-0ubuntu1) karmic; urgency=low

  * New upstream snapshot
  * debian/control:
    - require new clutter

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 05 Aug 2009 19:04:15 +0100

gnome-shell (0.0.1~git20090715-0ubuntu1) karmic; urgency=low

  * New upstream snapshot
  * debian/control:
    - build-depends on libglib

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 15 Jul 2009 15:57:33 +0200

gnome-shell (0.0.1~git20090702-0ubuntu0.2) karmic; urgency=low

  * debian/control:
    - recommends xserver-xephyr

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 02 Jul 2009 19:48:06 +0200

gnome-shell (0.0.1~git20090702-0ubuntu0.1) karmic; urgency=low

  * New git version
  * debian/control:
    - updated the depends

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 02 Jul 2009 15:59:22 +0200

gnome-shell (0.0.1~git20090701-0ubuntu0.3) karmic; urgency=low

  * debian/control:
    - build-depends on gobject-introspection-glib-2.0 and not on libdesk

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 02 Jul 2009 10:18:37 +0200

gnome-shell (0.0.1~git20090701-0ubuntu0.2) karmic; urgency=low

  * debian/control: build-depends on gobject-introspection

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 02 Jul 2009 09:51:01 +0200

gnome-shell (0.0.1~git20090701-0ubuntu0.1) karmic; urgency=low

  * Initial ppa upload

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 01 Jul 2009 23:29:31 +0200
